
@custom-variant dark (&:is(.dark *));

@theme inline {
--color-background: var(--background); 
--color-black: var(--black);
--color-grey: var(--grey);
--color_white_background: var(--light);
--color_dark_blue: var(--dark-blue);
--color_light_blue_10: var(--light-blue10);
--color_light_blue_5: var(--light-blue5);
--color_light_blue_20: var(--light-blue20);
--color_grey_black: var(--grey_black);
--color_border_grey: var(--border-grey);
--color_popup_header: var(--popup-header);
--colour_icon_violet: var(--violet);
--colour_icon_blue: var(--blue);
--user-bubble: var(--user-bubble);
--tab_grey: var(--tab-grey);
--ai_text_color: var(--ai-text);
--ai_bubble: var(--blue10);

}

:root {
--background:#F1F5F9;
--black: #000;
--grey: #64748B;
--light: #ffffff;
--dark-blue: #0D58D7;
--light-blue10: #0D58D71A;
--light-blue5: #0D58D70D;
--light-blue20: #0D58D733;
--grey_black: #19102200;
--border-grey: #E2E8F0; 
--popup-header: #DADADA;   
--violet: #7C3AED; 
--blue :#3B82F6;
--user-bubble: #E0E7FF;
--tab-grey: #333333E5;
--ai-text: #334155;
--blue10: #FFFFFF;
}

.dark {
--background: #0F182C;
--black: #FFFFFF;
--grey: #B1B1B1;
--light: #00001F;
--dark-blue: #0D58D7;
--light-blue10: #0D58D71A;
--light-blue5: #0D58D70D;
--light-blue20: #0D58D733;
--grey_black: #19102200;
--border-grey: #00001F; 
--popup-header: #DADADA;   
--violet: #7C3AED; 
--blue :#3B82F6;
--user-bubble: #041445;
--tab-grey: #f1f5f9;
--ai-text: #E0E7FF;
--blue10: #2A334C;
}

.gradient-bg {
    background: linear-gradient(to right, #7C3AED, #3B82F6);
}

.logo-light { display: block; }
.logo-dark  { display: none;  }

.dark .logo-light { display: none;  }
.dark .logo-dark  { display: block; }